Page MenuHomePhabricator

Notice: Undefined property: stdClass::$gt_primary in /srv/mediawiki/php-1.31.0-wmf.23/extensions/GeoData/includes/api/ApiQueryGeoSearchElastic.php on line 175
Closed, ResolvedPublic

Description

Stacktrace:

#0 /srv/mediawiki/php-1.31.0-wmf.23/extensions/GeoData/includes/api/ApiQueryGeoSearchElastic.php(175): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.31.0-wmf.23/extensions/GeoData/includes/api/ApiQueryGeoSearch.php(40): GeoData\ApiQueryGeoSearchElastic->run()
#2 /srv/mediawiki/php-1.31.0-wmf.23/includes/api/ApiQuery.php(249): GeoData\ApiQueryGeoSearch->execute()
#3 /srv/mediawiki/php-1.31.0-wmf.23/includes/api/ApiMain.php(1580): ApiQuery->execute()
#4 /srv/mediawiki/php-1.31.0-wmf.23/includes/api/ApiMain.php(542): ApiMain->executeAction()
#5 /srv/mediawiki/php-1.31.0-wmf.23/includes/api/ApiMain.php(513): ApiMain->executeActionWithErrorHandling()
#6 /srv/mediawiki/php-1.31.0-wmf.23/api.php(94): ApiMain->execute()
#7 /srv/mediawiki/w/api.php(3): include(string)
#8 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2018, 8:39 PM
Krinkle triaged this task as Unbreak Now! priority.Mar 1 2018, 8:43 PM

Impact is presumably that the API is returning incorrect data that wrongly represents all Geo objects to be non-primary (PHP undefined, yielding null, casting to false).

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 1 2018, 8:43 PM

Change 415654 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/extensions/GeoData@master] Fix undefined property error in ApiQueryGeoSearchElastic

https://gerrit.wikimedia.org/r/415654

Change 415656 had a related patch set uploaded (by Thcipriani; owner: Mholloway):
[mediawiki/extensions/GeoData@wmf/1.31.0-wmf.23] Fix undefined property error in ApiQueryGeoSearchElastic

https://gerrit.wikimedia.org/r/415656

Impact is presumably that the API is returning incorrect data that wrongly represents all Geo objects to be non-primary (PHP undefined, yielding null, casting to false).

That looks accurate.
https://he.wikipedia.org/w/api.php?action=query&list=geosearch&gsradius=10000&gscoord=37.786971%7C-122.399677

Change 415654 merged by jenkins-bot:
[mediawiki/extensions/GeoData@master] Fix undefined property error in ApiQueryGeoSearchElastic

https://gerrit.wikimedia.org/r/415654

Change 415656 merged by jenkins-bot:
[mediawiki/extensions/GeoData@wmf/1.31.0-wmf.23] Fix undefined property error in ApiQueryGeoSearchElastic

https://gerrit.wikimedia.org/r/415656

Mentioned in SAL (#wikimedia-operations) [2018-03-01T21:17:32Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.23/extensions/GeoData/includes/api/ApiQueryGeoSearchElastic.php: [[gerrit:415656|Fix undefined property error in ApiQueryGeoSearchElastic]] T188659 (duration: 01m 15s)

Mholloway closed this task as Resolved.Mar 1 2018, 9:27 PM
Mholloway claimed this task.
Restricted Application added a project: Discovery-Search. · View Herald TranscriptMay 17 2019, 9:42 PM